org.apache.poi.hssf.record

## Class PageBreakRecord

- java.lang.Object
- - org.apache.poi.hssf.record.RecordBase
  - - org.apache.poi.hssf.record.Record
    - - org.apache.poi.hssf.record.StandardRecord
      - - org.apache.poi.hssf.record.PageBreakRecord

- All Implemented Interfaces:
    Duplicatable
  Direct Known Subclasses:
    HorizontalPageBreakRecord, VerticalPageBreakRecord

      public abstract class PageBreakRecord
      extends StandardRecord

  Record that contains the functionality page breaks (horizontal and vertical)

  The other two classes just specifically set the SIDS for record creation.

  REFERENCE: Microsoft Excel SDK page 322 and 420

  See Also:
    `HorizontalPageBreakRecord`, `VerticalPageBreakRecord`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PageBreakRecord.Break` Since both records store 2byte integers (short), no point in differentiating it in the records.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PageBreakRecord()`
    `protected` | `PageBreakRecord(PageBreakRecord other)`
    `` | `PageBreakRecord(RecordInputStream in)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBreak(int main, int subFrom, int subTo)` Adds the page break at the specified parameters
    `abstract PageBreakRecord` | `copy()`
    `PageBreakRecord.Break` | `getBreak(int main)` Retrieves the region at the row/column indicated
    `int[]` | `getBreaks()`
    `java.util.Iterator<PageBreakRecord.Break>` | `getBreaksIterator()`
    `protected int` | `getDataSize()`
    `int` | `getNumBreaks()`
    `boolean` | `isEmpty()`
    `void` | `removeBreak(int main)` Removes the break indicated by the parameter
    `void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
    `java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

    - ### Methods inherited from class org.apache.poi.hssf.record.StandardRecord

      `getRecordSize, serialize`

    - ### Methods inherited from class org.apache.poi.hssf.record.Record

      `cloneViaReserialise, getSid, serialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PageBreakRecord

          protected PageBreakRecord()

    - #### PageBreakRecord

          protected PageBreakRecord(PageBreakRecord other)

    - #### PageBreakRecord

          public PageBreakRecord(RecordInputStream in)

  - ### Method Detail

    - #### isEmpty

          public boolean isEmpty()

    - #### getDataSize

          protected int getDataSize()

      Specified by:
        `getDataSize` in class `StandardRecord`

    - #### serialize

          public final void serialize(LittleEndianOutput out)

      Description copied from class: `StandardRecord`
      Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.

      The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consisting of a 'ushort sid' and 'ushort reclength' has already been written by their superclass).

      Specified by:
        `serialize` in class `StandardRecord`
      Parameters:
        `out` - the output object

    - #### getNumBreaks

          public int getNumBreaks()

    - #### getBreaksIterator

          public final java.util.Iterator<PageBreakRecord.Break> getBreaksIterator()

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Record`
      get a string representation of the record (for biffview/debugging)
      Overrides:
        `toString` in class `Record`

    - #### addBreak

          public void addBreak(int main,
                               int subFrom,
                               int subTo)

      Adds the page break at the specified parameters
      Parameters:
        `main` - Depending on sid, will determine row or column to put page break (zero-based)
        `subFrom` - No user-interface to set (defaults to minimum, 0)
        `subTo` - No user-interface to set

    - #### removeBreak

          public final void removeBreak(int main)

      Removes the break indicated by the parameter
      Parameters:
        `main` - (zero-based)

    - #### getBreak

          public final PageBreakRecord.Break getBreak(int main)

      Retrieves the region at the row/column indicated
      Parameters:
        `main` - FIXME: Document this!
      Returns:
        The Break or null if no break exists at the row/col specified.

    - #### getBreaks

          public final int[] getBreaks()

    - #### copy

          public abstract PageBreakRecord copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `StandardRecord`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.